Index: src/backend/utils/misc/guc.c
===================================================================
--- src/backend/utils/misc/guc.c	(8.4dev 2008-08-28)
+++ src/backend/utils/misc/guc.c	(working copy)
@@ -5588,6 +5588,7 @@
 init_custom_variable(const char *name,
 					 const char *short_desc,
 					 const char *long_desc,
+					 int flags,
 					 GucContext context,
 					 enum config_type type,
 					 size_t sz)
@@ -5602,6 +5603,7 @@
 	gen->group = CUSTOM_OPTIONS;
 	gen->short_desc = short_desc;
 	gen->long_desc = long_desc;
+	gen->flags = flags;
 	gen->vartype = type;
 
 	return gen;
@@ -5677,6 +5679,7 @@
 DefineCustomBoolVariable(const char *name,
 						 const char *short_desc,
 						 const char *long_desc,
+						 int flags,
 						 bool *valueAddr,
 						 GucContext context,
 						 GucBoolAssignHook assign_hook,
@@ -5685,7 +5688,7 @@
 	struct config_bool *var;
 
 	var = (struct config_bool *)
-		init_custom_variable(name, short_desc, long_desc, context,
+		init_custom_variable(name, short_desc, long_desc, flags, context,
 							 PGC_BOOL, sizeof(struct config_bool));
 	var->variable = valueAddr;
 	var->boot_val = *valueAddr;
@@ -5699,6 +5702,7 @@
 DefineCustomIntVariable(const char *name,
 						const char *short_desc,
 						const char *long_desc,
+						int flags,
 						int *valueAddr,
 						int minValue,
 						int maxValue,
@@ -5709,7 +5713,7 @@
 	struct config_int *var;
 
 	var = (struct config_int *)
-		init_custom_variable(name, short_desc, long_desc, context,
+		init_custom_variable(name, short_desc, long_desc, flags, context,
 							 PGC_INT, sizeof(struct config_int));
 	var->variable = valueAddr;
 	var->boot_val = *valueAddr;
@@ -5725,6 +5729,7 @@
 DefineCustomRealVariable(const char *name,
 						 const char *short_desc,
 						 const char *long_desc,
+						 int flags,
 						 double *valueAddr,
 						 double minValue,
 						 double maxValue,
@@ -5735,7 +5740,7 @@
 	struct config_real *var;
 
 	var = (struct config_real *)
-		init_custom_variable(name, short_desc, long_desc, context,
+		init_custom_variable(name, short_desc, long_desc, flags, context,
 							 PGC_REAL, sizeof(struct config_real));
 	var->variable = valueAddr;
 	var->boot_val = *valueAddr;
@@ -5751,6 +5756,7 @@
 DefineCustomStringVariable(const char *name,
 						   const char *short_desc,
 						   const char *long_desc,
+						   int flags,
 						   char **valueAddr,
 						   GucContext context,
 						   GucStringAssignHook assign_hook,
@@ -5759,7 +5765,7 @@
 	struct config_string *var;
 
 	var = (struct config_string *)
-		init_custom_variable(name, short_desc, long_desc, context,
+		init_custom_variable(name, short_desc, long_desc, flags, context,
 							 PGC_STRING, sizeof(struct config_string));
 	var->variable = valueAddr;
 	var->boot_val = *valueAddr;
@@ -5775,6 +5781,7 @@
 DefineCustomEnumVariable(const char *name,
 						 const char *short_desc,
 						 const char *long_desc,
+						 int flags,
 						 int *valueAddr,
 						 const struct config_enum_entry *options,
 						 GucContext context,
@@ -5784,7 +5791,7 @@
 	struct config_enum *var;
 
 	var = (struct config_enum *)
-		init_custom_variable(name, short_desc, long_desc, context,
+		init_custom_variable(name, short_desc, long_desc, flags, context,
 							 PGC_ENUM, sizeof(struct config_enum));
 	var->variable = valueAddr;
 	var->boot_val = *valueAddr;
Index: src/include/utils/guc.h
===================================================================
--- src/include/utils/guc.h	(8.4dev 2008-08-28)
+++ src/include/utils/guc.h	(working copy)
@@ -163,6 +163,7 @@
 						 const char *name,
 						 const char *short_desc,
 						 const char *long_desc,
+						 int flags,
 						 bool *valueAddr,
 						 GucContext context,
 						 GucBoolAssignHook assign_hook,
@@ -172,6 +173,7 @@
 						const char *name,
 						const char *short_desc,
 						const char *long_desc,
+						int flags,
 						int *valueAddr,
 						int minValue,
 						int maxValue,
@@ -183,6 +185,7 @@
 						 const char *name,
 						 const char *short_desc,
 						 const char *long_desc,
+						 int flags,
 						 double *valueAddr,
 						 double minValue,
 						 double maxValue,
@@ -194,6 +197,7 @@
 						   const char *name,
 						   const char *short_desc,
 						   const char *long_desc,
+						   int flags,
 						   char **valueAddr,
 						   GucContext context,
 						   GucStringAssignHook assign_hook,
@@ -203,6 +207,7 @@
 						   const char *name,
 						   const char *short_desc,
 						   const char *long_desc,
+						   int flags,
 						   int *valueAddr,
 						   const struct config_enum_entry *options,
 						   GucContext context,
